Bug 606762 - fix layout model for SearchBar
fix layout model for SearchBar
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-06-22 08:39 EDT by Joseph Marques
Modified: 2015-02-01 18:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:19:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (59.55 KB, image/png)
2010-06-22 09:27 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Joseph Marques 2010-06-22 08:39:43 EDT
List of issues:

* technology - remove use of xhtml-based layout in favor of purely programmatic component construction.  without this fix, the search bar can only be used on JSF pages.

* absolute positioning - some components that make up the SearchBar use absolute positioning.  these must be replaced by solutions that work more consistently with respect to scrollbars/overflow in various browsers

* static width - this should be improved by supporting a flexible-width SearchBar.  care must be taken to ensure that sub-components of the SearchBar flow and reposition themselves naturally during the flex.
Comment 1 Rajan Timaniya 2010-06-22 09:27:50 EDT
Created attachment 425918 [details]
screenshot

Screenshot for search bar static width & absolute positioning, browser is IE - 7.0.5730.11
Comment 6 Jay Shaughnessy 2011-02-16 11:09:34 EST
Joe performed a new integration of the search bar into CoreGUI.  Please re-test.
Comment 7 Heiko W. Rupp 2013-09-02 03:19:44 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.